<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                             Content Management System              //
// Официальный сайт сайт проекта:      http://johncms.com                     //
// Дополнительный сайт поддержки:      http://gazenwagen.com                  //
////////////////////////////////////////////////////////////////////////////////
// JohnCMS core team:                                                         //
// Евгений Рябинин aka john77          john77@gazenwagen.com                  //
// Олег Касьянов aka AlkatraZ          alkatraz@gazenwagen.com                //
//                                                                            //
// Информацию о версиях смотрите в прилагаемом файле version.txt              //
////////////////////////////////////////////////////////////////////////////////
*/

defined('_IN_JOHNCMS') or die('Error: restricted access');

switch ($mod) {

  case 'private':
    /*
    -----------------------------------------------------------------
    Приватные сообщения
    -----------------------------------------------------------------
    */  
    if (!$user_id) {
      header("Location: index.php");
     exit;
    }
    echo '<div class="phdr"><a href="index.php?act=faq"><b>F.A.Q.</b></a> | Приватные сообщения</div>';
    echo '<div class="menu"><p>';
    echo '<b>Приватные сообщения</b> - Сообщения находящиеся в общей комнате, но видимые только для их отправителей и получателей.<br />';
    echo 'Метка <span class="red">Приватно</span> в ответе или цитировании - Ответить приватно.<br />';
    echo '<span class="green">[П!]</span> - Отправленное вами приватное сообщение.<br />';
    echo '<span class="red">[П!]</span> - Приватное сообщение отправленное вам.<br />';
    echo '<p>Данная функция отлично подойдёт для оправки информации только собеседнику, не отрываясь от общения.<br />';
    echo 'К примеру если вы хотите отправить номер мобильника или аси, но не желаете сообщать их всем присутствующим в комнате.</p>';
    echo '<p><b><span class="red">Внимание!</span></b><br />Супервайзоры видят все сообщения!</p>';
    if ($rights == 9)
      echo '<span class="red">[П!]=&gt;&gt;login</span> - Приватное сообщение от автора к login. <small>(вы видите это, так как являетесь Супервайзором)</small>';
    echo '</p></div>';
    echo '<div class="phdr"><a href="index.php">В чат</a></div>';
  break;
  
  case 'rules':
    /*
    -----------------------------------------------------------------
    Правила чата
    -----------------------------------------------------------------
    */
    echo '<div class="phdr"><a href="index.php?act=faq"><b>F.A.Q.</b></a> | Правила чата</div>';
    echo '<div class="menu"><p>';
    echo '<p><b>1) В ЧАТЕ ЗАПРЕЩЕНО:</b></p>';
    echo '1.1. Сообщения рекламного характера.<br />';
    echo '1.2. Сообщения, содержащие прямую пропаганду расовой, национальной и религиозной вражды.<br />';
    echo '1.3. Сообщения, содержащие ненормативную лексику и/или сексуальные домогательства.<br />';
    echo '1.4. Сообщения, явно оскорбляющие кого-либо, а тем более участников чата .<br />';
    echo '1.5. Преднамеренно искажать написание ников других участников форума с целью придания сообщению оскорбительного оттенка.<br />';
    echo '1.6. Публиковать одно и то же сообщение несколько раз в одной или разных комнатах.<br />';
    echo '1.7. Повторно публиковать сообщения, удаленные модераторами.<br /><br />';
    echo '<p><b>2) КАТЕГОРИЧЕСКИ ЗАПРЕЩАЕТСЯ:</b></p>';
    echo '2.1. Высказывать  недовольство некорректными действиями участников чата и обсуждать действия модераторов. Для этого есть приватная почта.<br />';
    echo '2.2. Использовать при регистрации ники,имеющие оскорбительный для других пользователей характер.<br /><br />';
    echo '<p><b>3) КРАЙНЕ НЕЖЕЛАТЕЛЬНО:</b></p>';
    echo '3.1. Цитировать сообщения предыдущего посетителя целиком и цитировать сообщения, уже содержащие цитаты предыдущих сообщений..<br />';
    echo '3.2. Публиковать сообщения, состоящие только из ссылки на другой сайт. <br />';
    echo '3.3. Публиковать текст, написанный на латинице.<br /><br />';
    echo 'Сообщения, опубликованные вопреки указанным выше предупреждениям, будут изменены либо удалены.<br />';
    echo 'За неоднократные нарушения настоящих правил адмиристрация вправе применять к виновным штрафные санкции вплоть до удаления учетной записи.';
    echo '</p></div>';
    if ($id)
      echo '<div class="phdr"><a href="index.php?id='.$id.'">Назад</a></div><p><a href="index.php">В чат</a></p>';
    else
      echo '<div class="phdr"><a href="index.php">В чат</a></div>';
  break;

  case 'on_password':
    /*
    -----------------------------------------------------------------
    Интим
    -----------------------------------------------------------------
    */
    $room1 = mysql_query("SELECT `id`, `name` FROM `chat_rooms` WHERE `tip` = 'in'");
    if (!mysql_num_rows($room1) && !$user_id) {
      header("Location: index.php");
     exit;
    }
    $room_d1 = mysql_fetch_assoc($room1);    
    echo '<div class="phdr"><a href="index.php?act=faq"><b>F.A.Q.</b></a> | Комната <a href="index.php?id='.$room_d1['id'].'">'.$room_d1['name'].'</a></div>';
    echo '<div class="menu"><p>';
    echo ' <b>'.$room_d1['name'].'</b> - Комната для приватного общения, при входе в которую собеседникам необходимо ввести одинаковые пароли.<br />';
    echo 'Всё что вы напишите смогут увидеть только люди вошедшие под темже паролем.<br />';
    echo 'Соответственно, вы сможете увидеть только те сообщения, авторы которых написали под темже паролем что и вы.<br />';
    echo '<p>Эта комната хорошо подойдёт для любовных переписок, обсуждения сделок и т.д.</p>';
    echo '<p><b><span class="red">Внимание!</span></b><br />Для входа в комнату не используйте пароли от своих учётных записей!<br />';
    echo 'Если вы обсуждаете важную информацию, то используйте только сложные пароли, состоящие из цифр, букв греческого и латинского алфавита (регистр неважен).</p>';
    echo '</p></div>';
    echo '<div class="phdr"><a href="index.php">В чат</a></div>';
  break;

  case 'off_ban':
    /*
    -----------------------------------------------------------------
    Беспредел
    -----------------------------------------------------------------
    */
    $room2 = mysql_query("SELECT `id`, `name` FROM `chat_rooms` WHERE `tip` = 'sr'");
    if (!mysql_num_rows($room2)) {
      header("Location: index.php");
     exit;
    }
    $room_d2 = mysql_fetch_assoc($room2);    
    echo '<div class="phdr"><a href="index.php?act=faq"><b>F.A.Q.</b></a> | Комната <a href="index.php?id='.$room_d2['id'].'">'.$room_d2['name'].'</a></div>';
    echo '<div class="menu"><p>';
    echo ' <b>'.$room_d2['name'].'</b> - Комната в которой можно писать, даже если вас забанили.';
    echo '<p>Эта комната хорошо подойдёт для ожидания окончания действия банов, разборок, выяснения отношений и т.д.</p>';
    echo '</p></div>';
    echo '<div class="phdr"><a href="index.php">В чат</a></div>';
  break;

  case 'off_login':
    /*
    -----------------------------------------------------------------
    Инкогнито
    -----------------------------------------------------------------
    */
    $room3 = mysql_query("SELECT `id`, `name` FROM `chat_rooms` WHERE `tip` = 'an'");
    if (!mysql_num_rows($room3)) {
      header("Location: index.php");
     exit;
    }
    $room_d3 = mysql_fetch_assoc($room3);  
    echo '<div class="phdr"><a href="index.php?act=faq"><b>F.A.Q.</b></a> | Комната <a href="index.php?id='.$room_d3['id'].'">'.$room_d3['name'].'</a></div>';
    echo '<div class="menu"><p>';
    echo ' <b>'.$room_d3['name'].'</b> - Комната для анонимного общения.<br />';
    echo 'При входе в эту комнату пользователям вместо ников присваиваются случайно сгененрированые номера.<br />';
    echo 'Всё что знают собеседники друг о друге, это пол и случайный номер. ';
    echo 'Каждый пользователь в любой момент может сменить свой номер на другое случайное число и собеседники не узнают, что "старый" и "новый" номер это всё один и тотже пользователь (все "свои" номера подсвечиваются красным).';
    echo '<p>Эта комната хорошо подойдёт для непринуждённого общения, знакомств и т.д.</p>';
    echo '<p><b><span class="red">Внимание!</span></b><br />Модераторы и администрация видят настоящие ники!</p>';
    echo '</p></div>';
    echo '<div class="phdr"><a href="index.php">В чат</a></div>';
  break;
    
  default :
    /*
    -----------------------------------------------------------------
    Главное меню FAQ
    -----------------------------------------------------------------
    */
    echo '<div class="phdr"><a href="index.php"><b>Чат</b></a> | F.A.Q.</div>';
    echo '<div class="menu"><a href="index.php?act=faq&amp;mod=rules">Правила чата</a></div>';
    if ($user_id)
      echo '<div class="menu"><a href="index.php?act=faq&amp;mod=private">Что такое [П!] и приватно?</a></div>';
    $room1 = mysql_query("SELECT `name` FROM `chat_rooms` WHERE `tip` = 'in'");
    if (mysql_num_rows($room1) && $user_id) {
      $room_d1 = mysql_fetch_assoc($room1);
      echo '<div class="menu"><a href="index.php?act=faq&amp;mod=on_password">Что такое комната <b>'.$room_d1['name'].'</b>?</a></div>';
    }
    $room2 = mysql_query("SELECT `name` FROM `chat_rooms` WHERE `tip` = 'sr'");
    if (mysql_num_rows($room2)) {
      $room_d2 = mysql_fetch_assoc($room2);
      echo '<div class="menu"><a href="index.php?act=faq&amp;mod=off_ban">Что такое комната <b>'.$room_d2['name'].'</b>?</a></div>';
    }    
    $room3 = mysql_query("SELECT `name` FROM `chat_rooms` WHERE `tip` = 'an'");
    if (mysql_num_rows($room3)) {
      $room_d3 = mysql_fetch_assoc($room3);
      echo '<div class="menu"><a href="index.php?act=faq&amp;mod=off_login">Что такое комната <b>'.$room_d3['name'].'</b>?</a></div>';
    }
    echo '<div class="phdr"><a href="index.php">В чат</a></div>';
}

?>